Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1591018 - (CVE-2018-7162) CVE-2018-7162 nodejs: denial of service (DoS) by causing a node process which provides an http server supporting TLS server to crash
CVE-2018-7162 nodejs: denial of service (DoS) by causing a node process which...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20180612,repor...
: Security
Depends On: 1591021 1591019 1591020
Blocks: 1591010
  Show dependency treegraph
 
Reported: 2018-06-13 18:23 EDT by Laura Pardo
Modified: 2018-09-04 00:11 EDT (History)
42 users (show)

See Also:
Fixed In Version: nodejs 10.4.1, nodejs 9.11.2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laura Pardo 2018-06-13 18:23:09 EDT
A flaw was found in all versions of Node.js 9.x and 10.x. An attacker can cause a denial of service (DoS) by causing a node process which provides an http server supporting TLS server to crash. This can be accomplished by sending duplicate/unexpected messages during the handshake.


References:
https://nodejs.org/en/blog/vulnerability/june-2018-security-releases/
Comment 1 Laura Pardo 2018-06-13 18:23:47 EDT
Created nodejs tracking bugs for this issue:

Affects: epel-all [bug 1591021]
Affects: fedora-all [bug 1591019]
Comment 4 Jason Shepherd 2018-06-29 03:31:05 EDT
RHOAR NodeJS 10.4.1, has already been released with a fix for this issue.
Comment 7 Cedric Buissart 2018-06-29 04:35:33 EDT
Upstream fix:
https://github.com/nodejs/node/commit/0cb3325f1
Comment 9 Jason Shepherd 2018-09-04 00:11:11 EDT
This issue doesn't affect NodeJS 6, or 0.10 used by openshift-enterprise-10/logging-kibana and logging-auth-proxy respectively.

Note You need to log in before you can comment on or make changes to this bug.